path: /build/build/qtopengl-dev-qt-5-5.15.2+5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge dev-qt/qtopengl:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps dev-qt/qtopengl:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtopengl && luet-portage --dir /pkgdir/qtopengl
    dev-qt/qtopengl:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f5d46e8179e22a213839fd4fe05c7352cf8b179c43e8ae15f7a86637b8e4bc3f
  package:
    name: qtopengl
    version: 5.15.2+5
    category: dev-qt-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: qtwidgets
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: OpenGL support library for the Qt5 framework (deprecated)
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-25 12:35:00.143671908 +0000 UTC m=+227.245948910
    labels:
      BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
        virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
        test? ( =dev-qt/qttest-5.15.2* )
      IUSE: gles2-only test debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
      emerge.packages: dev-qt/qtopengl:5
      kit: qt-kit
      original.package.name: dev-qt/qtopengl
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240408
    treedir: /build/packages
  package_dir: /pkgdir/qtopengl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 02f4c51b68030d23b3d939c6c690830c6d1df454fc9aa08c5420a2cd8d7dc111
compressiontype: zstd
files:
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qgl2pexvertexarray_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qgl_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglcustomshaderstage_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglengineshadermanager_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglengineshadersource_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglframebufferobject_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglgradientcache_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglpaintdevice_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglpixelbuffer_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qglshadercache_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qgraphicsshadereffect_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qpaintengineex_opengl2_p.h
- usr/include/qt5/QtOpenGL/5.15.13/QtOpenGL/private/qtextureglyphcache_gl_p.h
- usr/include/qt5/QtOpenGL/QGL
- usr/include/qt5/QtOpenGL/QGLBuffer
- usr/include/qt5/QtOpenGL/QGLColormap
- usr/include/qt5/QtOpenGL/QGLContext
- usr/include/qt5/QtOpenGL/QGLFormat
- usr/include/qt5/QtOpenGL/QGLFramebufferObject
- usr/include/qt5/QtOpenGL/QGLFramebufferObjectFormat
- usr/include/qt5/QtOpenGL/QGLFunctions
- usr/include/qt5/QtOpenGL/QGLFunctionsPrivate
- usr/include/qt5/QtOpenGL/QGLPixelBuffer
- usr/include/qt5/QtOpenGL/QGLShader
- usr/include/qt5/QtOpenGL/QGLShaderProgram
- usr/include/qt5/QtOpenGL/QGLWidget
- usr/include/qt5/QtOpenGL/QtOpenGL
- usr/include/qt5/QtOpenGL/QtOpenGLDepends
- usr/include/qt5/QtOpenGL/QtOpenGLVersion
- usr/include/qt5/QtOpenGL/qgl.h
- usr/include/qt5/QtOpenGL/qglbuffer.h
- usr/include/qt5/QtOpenGL/qglcolormap.h
- usr/include/qt5/QtOpenGL/qglframebufferobject.h
- usr/include/qt5/QtOpenGL/qglfunctions.h
- usr/include/qt5/QtOpenGL/qglpixelbuffer.h
- usr/include/qt5/QtOpenGL/qglshaderprogram.h
- usr/include/qt5/QtOpenGL/qtopenglglobal.h
- usr/include/qt5/QtOpenGL/qtopenglversion.h
- usr/lib64/cmake/Qt5OpenGL/Qt5OpenGLConfig.cmake
- usr/lib64/cmake/Qt5OpenGL/Qt5OpenGLConfigVersion.cmake
- usr/lib64/libQt5OpenGL.prl
- usr/lib64/libQt5OpenGL.so
- usr/lib64/libQt5OpenGL.so.5
- usr/lib64/libQt5OpenGL.so.5.15
- usr/lib64/libQt5OpenGL.so.5.15.13
- usr/lib64/pkgconfig/Qt5OpenGL.pc
- usr/lib64/qt5/mkspecs/modules/qt_lib_opengl.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_opengl_private.pri
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/BDEPEND
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/BUILD_TIME
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CATEGORY
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CBUILD
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CC
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CFLAGS
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CHOST
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CONTENTS
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/COUNTER
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/CXXFLAGS
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/DEFINED_PHASES
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/DEPEND
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/DESCRIPTION
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/EAPI
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/FEATURES
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/HOMEPAGE
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/INHERITED
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/IUSE
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/KEYWORDS
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/LDFLAGS
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/LICENSE
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/NEEDED
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/PF
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/PROVIDES
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/RDEPEND
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/REQUIRES
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/RESTRICT
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/SIZE
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/SLOT
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/USE
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/environment.bz2
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/qtopengl-5.15.2_p20240408.ebuild
- var/db/pkg/dev-qt/qtopengl-5.15.2_p20240408/repository
package_cacheimage: ""
runtime:
  name: qtopengl
  version: 5.15.2+5
  category: dev-qt-5
  use_flags:
  - -test
  - prefix
  requires:
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: OpenGL support library for the Qt5 framework (deprecated)
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
      virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
      test? ( =dev-qt/qttest-5.15.2* )
    IUSE: gles2-only test debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
    emerge.packages: dev-qt/qtopengl:5
    kit: qt-kit
    original.package.name: dev-qt/qtopengl
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240408
